GET /v1/summary/monthly

Spending and income per account per month

Auth. Send the token in the X-Ledger-Token header.

Parameters

NameInTypeRequiredDescription
account_idquerystringoptional
sincequerystringoptionalFirst month to include, YYYY-MM
limitqueryintegeroptional

Responses

StatusMeaningBody
200Monthly totals, newest month firstMonthlySummary[]
400Request rejectedError
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Example response

[
  {
    "account_id": "string",
    "month": "string",
    "spent_cents": 0,
    "received_cents": 0,
    "count": 0
  }
]

Code samples

Set KEY to your own token first.

curl

curl \
  -H X-Ledger-Token:$KEY \
  "https://api.sasek.org/ledger/v1/summary/monthly"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/summary/monthly", {
  headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();

Python

import json
import os
import urllib.request

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/summary/monthly",
    method="GET",
    headers={
        "X-Ledger-Token": os.environ["KEY"],
    },
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))